# lib \\ terraform \\ vault \\ gitlab-pipeline \\ low-level \\ single-env

This Terraform library helps setup a project's GitLab pipeline so it can fetch secrets using JWT auth and encrypt/decrypt plan file using transit engine, for prod and review pipelines.

All Vault resources created will use project and environments in their names.
